Skip to main content
POST
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
{schema_name}
/
tables
Create table
curl --request POST \
  --url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "table_name": "<string>",
  "columns": [
    {
      "name": "<string>",
      "type": "<string>",
      "nullable": true
    }
  ],
  "properties": {}
}
'
{
  "catalog": "<string>",
  "schema": "<string>",
  "table": "<string>",
  "status": "CREATED"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

catalog_name
string
required
schema_name
string
required

Body

application/json
table_name
string
required

Name of the table. Must be unique within the schema.

columns
ColumnDefinition · object[]
required

Ordered list of column definitions

properties
Properties · object

Optional table properties

Response

Table created successfully.

catalog
string
required

Catalog in which the table was created

schema
string
required

Schema in which the table was created

table
string
required

Name of the table that was created

status
string
default:CREATED

Final status of the create table operation